Subject: [Idr] MRAI and withdrawals

From: Iljitsch van Beijnum <[email-masked]>
Date: Tue, 27 Apr 2010 16:20:56 +0200

Hi,

In the section 9.2.3.1, "Frequency of Route Advertisement", of RFC 1771, which covers the MRAI, it says:

   To avoid long-lived black holes, the
   procedure does not apply to the explicit withdrawal of unfeasible
   routes (that is, routes whose destinations (expressed as IP prefixes)
   are listed in the WITHDRAWN ROUTES field of an UPDATE message).

In the paper "delayed internet convergence" Craig Labovitz et al mention that NOT applying the MRAI to withdrawals is important for quick convergence. They also mention that an unnamed vendor chose to apply the MRAI to withdrawals anyway for unlisted reasons.

Turns out that in RFC 4271 there is no longer any text exempting withdrawals from the MRAI. And the appendix that explains the differences between RFCs 1771 and 4271 doesn't mention any of this.

Can someone please tell me why this recommendation is no longer in the RFC and/or why vendors would choose to implement behavior that will create 30 second intervals of unreachability in the event of a withdrawal?

---

From: John Scudder <[email-masked]>
Date: Wed, 28 Apr 2010 13:48:35 -0700

You might want to review this mail thread: http://www.ietf.org/mail-archive/web/idr/current/msg03274.html

And in particular, http://www.ietf.org/mail-archive/web/idr/current/msg03282.html

--John

On Apr 27, 2010, at 7:20 AM, Iljitsch van Beijnum wrote:

> _______________________________________________
> Idr mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/idr